from enum import Enum


class PromptStatus(Enum):
    CUSTOMER_MESSAGE = 0
    LANDING = 1
    TASK_DETECTION_TEXT = 2
    TASK_DETECTION_TEXT_END = 3
    TASK_DETECTION_TEMPLATE_END = 4
    TASK_QA_TEXT = 5
    TASK_QA_TEMPLATE = 6
    TASK_QA_END = 7
    TASK_PI_TEXT = 8
    TASK_PI_TEMPLATE = 9
    RESULTS_MATCHED = 10
    RESULTS_UNMATCHED = 11
